Skip to main content
GET
Retrieves the inventory adjustment details.

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

Path Parameters

id
number
required

Response

200 - application/json

The inventory adjustment details have been successfully retrieved.

id
number
required

The unique identifier of the inventory adjustment

Example:

1

date
string
required

The date of the inventory adjustment

Example:

"2024-03-20"

type
enum<string>
required

The type of adjustment (increment or decrement)

Available options:
increment,
decrement
Example:

"increment"

formattedType
string
required

The formatted type of adjustment

Example:

"inventory_adjustment.increment"

adjustmentAccountId
number
required

The ID of the adjustment account

Example:

100

reason
string
required

The reason for the adjustment

Example:

"Stock count discrepancy"

referenceNo
string
required

The reference number for the adjustment

Example:

"IA-2024-001"

userId
number
required

The ID of the user who created the adjustment

Example:

1

branchId
number
required

The ID of the branch where the adjustment was made

Example:

1

warehouseId
number
required

The ID of the warehouse where the adjustment was made

Example:

1

createdAt
string
required

The date when the adjustment was created

Example:

"2024-03-20T09:00:00Z"

entries
array[]
required

The entries associated with this adjustment

description
string

Additional description of the adjustment

Example:

"Year-end inventory reconciliation"

publishedAt
string

The date when the adjustment was published

Example:

"2024-03-20T10:00:00Z"